# Semantic UI

This is a gem for Rails with [Semantic UI](https://github.com/Semantic-Org/Semantic-UI/) assets inside.

## NOTE

The gem only has default theme.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'semantic_ui', github: 'sagarmrey/semantic_ui'
```

And then execute:

    $ bundle

## Usage

Require `jquery.js` and `semantic.js` in `app/assets/application.js`:

    ...
    // require jquery before loading any other javascripts
    //= require jquery
    ...

    ...
    // require semantic after loading all the javascripts
    //= require semantic
    ...

Example `app/assets/application.js`:

    ...
    //= require jquery
    //= require rails-ujs
    //= require turbolinks
    //= require_tree .
    //= require semantic
    ...

Require `semantic.css` in `app/assets/application.css`:

    ...
    *= require semantic
    ...

## TODO

* Add Tests

## Versioning

This gem will directly track the semantic versioning of the [Semantic UI](https://github.com/Semantic-Org/Semantic-UI/) project.

## Contributing

1. Fork it ( https://github.com/sagarmrey/semantic_ui )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
